

(defun cook-up-data ()
  (interactive)
  (with-output-to-temp-buffer 
   "clman.data-buffer"
 
   (let ((lis '("abouts" "compiler" 
		"excl" "foreign" "mp" "objc" "sys" "toplevel"))
	 (files nil)(package-print-name nil)
	 (package nil)(dir nil)(suffix nil))
     (while lis
       (message (concat "Creating " (car lis)))
       (sleep-for 1)
      (setq package (car lis))
       (setq package-print-name package)
       (princ "(setq ")
       (princ "fi::clman-")
       ;;(tedbug package)
       (if (string= package "toplevel")
	   (setq package-print-name "tpl"))
       (if (string= package "abouts")
	 (setq package-print-name "about"))
       (princ package-print-name)
       (princ "-oblist")
       (princ "  '(")
       (princ "\n")
       (setq default-directory 
	 (concat next-clman-doc-directory package "/"))
       (setq suffix "lispd")
       (setq files (directory-files default-directory  nil 
				    (concat ".*\\."
					    suffix
					    "$")))
       (let ((filebuf (generate-new-buffer "*temp-file-buffer*")))
	 (switch-to-buffer filebuf)
       (while files
	 (setq file (car files))
	 (insert-file file)
	 (princ "(")
	 (setq symbol (dotr-glean-symbol))

	 (princ (prin1-to-string symbol))
	 (princ " ")
	 (princ (prin1-to-string file))
	 (princ ")")
	 (princ "\n")
	 (erase-buffer)
	 (setq files (cdr files)))
       	 (kill-buffer filebuf))


       (princ ")")(princ ")")
       (princ "\n")
       
       
     (setq lis (cdr lis)))
     ))
(find-file (concat next-clman-code-directory "next-clman.data"))
(insert-buffer "clman.data-buffer")
(save-buffer))


(defun dotr-glean-symbol ()
  (interactive)
  (goto-char (point-min))
  (search-forward ".SI")
  (search-forward "&")
  (let ((begin (point)))
    (end-of-line 1)
    (buffer-substring begin (point))))
